다음을 통해 공유


Solutions Discoverability - List

농업용 Data Manager 솔루션 목록을 가져옵니다.

GET https://management.azure.com/providers/Microsoft.AgFoodPlatform/farmBeatsSolutionDefinitions?api-version=2023-06-01-preview
GET https://management.azure.com/providers/Microsoft.AgFoodPlatform/farmBeatsSolutionDefinitions?farmBeatsSolutionIds={farmBeatsSolutionIds}&farmBeatsSolutionNames={farmBeatsSolutionNames}&$maxPageSize={$maxPageSize}&api-version=2023-06-01-preview

URI 매개 변수

Name In(다음 안에) 필수 형식 Description
api-version
query True

string

minLength: 1

이 작업에 사용할 API 버전입니다.

$maxPageSize
query

integer (int32)

minimum: 10
maximum: 1000

필요한 최대 항목 수(포함)입니다. 최소 = 10, 최대 = 1000, 기본값 = 50.

farmBeatsSolutionIds
query

string[]

고객이 페치하도록 요청하는 농업 솔루션용 데이터 관리자의 ID입니다.

farmBeatsSolutionNames
query

string[]

고객이 페치하도록 요청하는 농업 솔루션용 데이터 관리자의 이름입니다.

응답

Name 형식 Description
200 OK

DataManagerForAgricultureSolutionListResponse

성공

Other Status Codes

ErrorResponse

오류

보안

azure_auth

Azure Active Directory OAuth2 흐름.

형식: oauth2
Flow: implicit
권한 부여 URL: https://login.microsoftonline.com/common/oauth2/authorize

범위

Name Description
user_impersonation 사용자 계정 가장

예제

SolutionsDiscoverability_List

샘플 요청

GET https://management.azure.com/providers/Microsoft.AgFoodPlatform/farmBeatsSolutionDefinitions?api-version=2023-06-01-preview

샘플 응답

{
  "value": [
    {
      "id": "/providers/Microsoft.AgFoodPlatform/farmBeatsSolutionDefinitions/bayerAgPowered.gdu",
      "type": "Microsoft.AgFoodPlatform/farmBeatsSolutionDefinitions",
      "systemData": {
        "createdAt": "2022-07-25T10:15:15Z",
        "lastModifiedAt": "2022-07-25T10:15:15Z"
      },
      "properties": {
        "partnerId": "abc",
        "partnerTenantId": "556b0c04-d33e-48d0-9f6f-f893c8c77e00",
        "dataAccessScopes": [
          "string"
        ],
        "marketplaceOfferDetails": {
          "saasOfferId": "saasOfferId",
          "publisherId": "publisherId"
        },
        "openApiSpecsDictionary": {
          "v1": {
            "paths": {
              "/v1/resources/{resourceId}": {
                "get": {
                  "tags": [
                    "Weather"
                  ],
                  "description": "Get weather ingestion job.",
                  "operationId": "Weather_GetDataIngestionJobDetails",
                  "produces": [
                    "application/json"
                  ],
                  "parameters": [
                    {
                      "in": "path",
                      "name": "resourceId",
                      "description": "Id of the job.",
                      "required": true,
                      "type": "string"
                    },
                    {
                      "in": "query",
                      "name": "api-version",
                      "description": "The requested API version",
                      "required": true,
                      "type": "string",
                      "default": "2021-07-31-preview"
                    }
                  ],
                  "responses": {
                    "200": {
                      "description": "Success",
                      "schema": {
                        "description": "Schema of weather ingestion job.",
                        "required": [
                          "boundaryId",
                          "extensionApiInput",
                          "extensionApiName",
                          "extensionId",
                          "farmerId"
                        ],
                        "type": "object",
                        "properties": {
                          "boundaryId": {
                            "description": "The id of the boundary object for which weather data is being fetched.",
                            "type": "string"
                          },
                          "farmerId": {
                            "description": "The id of the farmer object for which weather data is being fetched.",
                            "type": "string"
                          },
                          "extensionId": {
                            "description": "Id of the extension to be used for the providerInput. eg. DTN.ClearAg.",
                            "maxLength": 100,
                            "minLength": 2,
                            "pattern": "^[a-zA-Z]{3,50}[.][a-zA-Z]{3,100}$",
                            "type": "string"
                          },
                          "extensionApiName": {
                            "description": "Extension api name to which request is to be made.",
                            "maxLength": 100,
                            "minLength": 2,
                            "type": "string"
                          },
                          "extensionApiInput": {
                            "description": "Extension api input dictionary which would be used to feed request query/body/parameter information.",
                            "type": "object",
                            "additionalProperties": {
                              "type": "object"
                            }
                          },
                          "extensionDataProviderAppId": {
                            "description": "App id of the weather data provider.",
                            "maxLength": 200,
                            "minLength": 2,
                            "type": "string"
                          },
                          "extensionDataProviderApiKey": {
                            "description": "Api key of the weather data provider.",
                            "maxLength": 200,
                            "minLength": 2,
                            "type": "string"
                          },
                          "id": {
                            "description": "Unique job id.",
                            "type": "string",
                            "readOnly": true
                          },
                          "status": {
                            "description": "Status of the job.\r\nPossible values: 'Waiting', 'Running', 'Succeeded', 'Failed', 'Cancelled'.",
                            "type": "string",
                            "readOnly": true
                          },
                          "durationInSeconds": {
                            "format": "double",
                            "description": "Duration of the job in seconds.",
                            "type": "number",
                            "readOnly": true
                          },
                          "message": {
                            "description": "Status message to capture more details of the job.",
                            "type": "string",
                            "readOnly": true
                          },
                          "createdDateTime": {
                            "format": "date-time",
                            "description": "Job created at dateTime. Sample format: yyyy-MM-ddTHH:mm:ssZ.",
                            "type": "string",
                            "readOnly": true
                          },
                          "lastActionDateTime": {
                            "format": "date-time",
                            "description": "Job was last acted upon at dateTime. Sample format: yyyy-MM-ddTHH:mm:ssZ.",
                            "type": "string",
                            "readOnly": true
                          },
                          "startTime": {
                            "format": "date-time",
                            "description": "Job start time when available. Sample format: yyyy-MM-ddTHH:mm:ssZ.",
                            "type": "string",
                            "readOnly": true
                          },
                          "endTime": {
                            "format": "date-time",
                            "description": "Job end time when available. Sample format: yyyy-MM-ddTHH:mm:ssZ.",
                            "type": "string",
                            "readOnly": true
                          },
                          "name": {
                            "description": "Name to identify resource.",
                            "maxLength": 100,
                            "minLength": 0,
                            "type": "string"
                          },
                          "description": {
                            "description": "Textual description of the resource.",
                            "maxLength": 500,
                            "minLength": 0,
                            "type": "string"
                          },
                          "properties": {
                            "description": "A collection of key value pairs that belongs to the resource.\r\nEach pair must not have a key greater than 50 characters\r\nand must not have a value greater than 150 characters.\r\nNote: A maximum of 25 key value pairs can be provided for a resource and only string,\r\nnumeral and datetime (yyyy-MM-ddTHH:mm:ssZ) values are supported.",
                            "type": "object",
                            "additionalProperties": {
                              "type": "object"
                            },
                            "example": {
                              "key1": "value1",
                              "key2": 123.45
                            }
                          }
                        },
                        "additionalProperties": {}
                      }
                    },
                    "default": {
                      "description": "Error",
                      "schema": {
                        "description": "An error response from the Azure AgPlatform service.\r\n<see href=\"https://github.com/Microsoft/api-guidelines/blob/vNext/Guidelines.md#7102-error-condition-responses\">ErrorResponse reference document.</see>.",
                        "type": "object",
                        "properties": {
                          "error": {
                            "description": "An error from the Azure AgPlatform service.",
                            "type": "object",
                            "properties": {
                              "code": {
                                "description": "Server-defined set of error codes.",
                                "type": "string"
                              },
                              "message": {
                                "description": "Human-readable representation of the error.",
                                "type": "string"
                              },
                              "target": {
                                "description": "Target of the error.",
                                "type": "string"
                              },
                              "details": {
                                "description": "Array of details about specific errors that led to this reported error.",
                                "type": "array"
                              }
                            }
                          },
                          "traceId": {
                            "description": "Unique trace Id.",
                            "type": "string"
                          }
                        }
                      }
                    }
                  }
                },
                "put": {
                  "tags": [
                    "Weather"
                  ],
                  "description": "Create a weather data ingestion job.",
                  "operationId": "Weather_CreateDataIngestionJob",
                  "consumes": [
                    "application/json"
                  ],
                  "produces": [
                    "application/json"
                  ],
                  "parameters": [
                    {
                      "in": "path",
                      "name": "resourceId",
                      "description": "Job id supplied by user.",
                      "required": true,
                      "type": "string"
                    },
                    {
                      "in": "query",
                      "name": "api-version",
                      "description": "The requested API version",
                      "required": true,
                      "type": "string",
                      "default": "2021-07-31-preview"
                    },
                    {
                      "in": "body",
                      "name": "body",
                      "description": "Job parameters supplied by user.",
                      "schema": {
                        "description": "Schema of weather ingestion job.",
                        "required": [
                          "boundaryId",
                          "extensionApiInput",
                          "extensionApiName",
                          "extensionId",
                          "farmerId"
                        ],
                        "type": "object",
                        "properties": {
                          "boundaryId": {
                            "description": "The id of the boundary object for which weather data is being fetched.",
                            "type": "string"
                          },
                          "farmerId": {
                            "description": "The id of the farmer object for which weather data is being fetched.",
                            "type": "string"
                          },
                          "extensionId": {
                            "description": "Id of the extension to be used for the providerInput. eg. DTN.ClearAg.",
                            "maxLength": 100,
                            "minLength": 2,
                            "pattern": "^[a-zA-Z]{3,50}[.][a-zA-Z]{3,100}$",
                            "type": "string"
                          },
                          "extensionApiName": {
                            "description": "Extension api name to which request is to be made.",
                            "maxLength": 100,
                            "minLength": 2,
                            "type": "string"
                          },
                          "extensionApiInput": {
                            "description": "Extension api input dictionary which would be used to feed request query/body/parameter information.",
                            "type": "object",
                            "additionalProperties": {
                              "type": "object"
                            }
                          },
                          "extensionDataProviderAppId": {
                            "description": "App id of the weather data provider.",
                            "maxLength": 200,
                            "minLength": 2,
                            "type": "string"
                          },
                          "extensionDataProviderApiKey": {
                            "description": "Api key of the weather data provider.",
                            "maxLength": 200,
                            "minLength": 2,
                            "type": "string"
                          },
                          "id": {
                            "description": "Unique job id.",
                            "type": "string",
                            "readOnly": true
                          },
                          "status": {
                            "description": "Status of the job.\r\nPossible values: 'Waiting', 'Running', 'Succeeded', 'Failed', 'Cancelled'.",
                            "type": "string",
                            "readOnly": true
                          },
                          "durationInSeconds": {
                            "format": "double",
                            "description": "Duration of the job in seconds.",
                            "type": "number",
                            "readOnly": true
                          },
                          "message": {
                            "description": "Status message to capture more details of the job.",
                            "type": "string",
                            "readOnly": true
                          },
                          "createdDateTime": {
                            "format": "date-time",
                            "description": "Job created at dateTime. Sample format: yyyy-MM-ddTHH:mm:ssZ.",
                            "type": "string",
                            "readOnly": true
                          },
                          "lastActionDateTime": {
                            "format": "date-time",
                            "description": "Job was last acted upon at dateTime. Sample format: yyyy-MM-ddTHH:mm:ssZ.",
                            "type": "string",
                            "readOnly": true
                          },
                          "startTime": {
                            "format": "date-time",
                            "description": "Job start time when available. Sample format: yyyy-MM-ddTHH:mm:ssZ.",
                            "type": "string",
                            "readOnly": true
                          },
                          "endTime": {
                            "format": "date-time",
                            "description": "Job end time when available. Sample format: yyyy-MM-ddTHH:mm:ssZ.",
                            "type": "string",
                            "readOnly": true
                          },
                          "name": {
                            "description": "Name to identify resource.",
                            "maxLength": 100,
                            "minLength": 0,
                            "type": "string"
                          },
                          "description": {
                            "description": "Textual description of the resource.",
                            "maxLength": 500,
                            "minLength": 0,
                            "type": "string"
                          },
                          "properties": {
                            "description": "A collection of key value pairs that belongs to the resource.\r\nEach pair must not have a key greater than 50 characters\r\nand must not have a value greater than 150 characters.\r\nNote: A maximum of 25 key value pairs can be provided for a resource and only string,\r\nnumeral and datetime (yyyy-MM-ddTHH:mm:ssZ) values are supported.",
                            "type": "object",
                            "additionalProperties": {
                              "type": "object"
                            },
                            "example": {
                              "key1": "value1",
                              "key2": 123.45
                            }
                          }
                        },
                        "additionalProperties": {}
                      }
                    }
                  ],
                  "responses": {
                    "202": {
                      "description": "Success",
                      "schema": {
                        "description": "Schema of weather ingestion job.",
                        "required": [
                          "boundaryId",
                          "extensionApiInput",
                          "extensionApiName",
                          "extensionId",
                          "farmerId"
                        ],
                        "type": "object",
                        "properties": {
                          "boundaryId": {
                            "description": "The id of the boundary object for which weather data is being fetched.",
                            "type": "string"
                          },
                          "farmerId": {
                            "description": "The id of the farmer object for which weather data is being fetched.",
                            "type": "string"
                          },
                          "extensionId": {
                            "description": "Id of the extension to be used for the providerInput. eg. DTN.ClearAg.",
                            "maxLength": 100,
                            "minLength": 2,
                            "pattern": "^[a-zA-Z]{3,50}[.][a-zA-Z]{3,100}$",
                            "type": "string"
                          },
                          "extensionApiName": {
                            "description": "Extension api name to which request is to be made.",
                            "maxLength": 100,
                            "minLength": 2,
                            "type": "string"
                          },
                          "extensionApiInput": {
                            "description": "Extension api input dictionary which would be used to feed request query/body/parameter information.",
                            "type": "object",
                            "additionalProperties": {
                              "type": "object"
                            }
                          },
                          "extensionDataProviderAppId": {
                            "description": "App id of the weather data provider.",
                            "maxLength": 200,
                            "minLength": 2,
                            "type": "string"
                          },
                          "extensionDataProviderApiKey": {
                            "description": "Api key of the weather data provider.",
                            "maxLength": 200,
                            "minLength": 2,
                            "type": "string"
                          },
                          "id": {
                            "description": "Unique job id.",
                            "type": "string",
                            "readOnly": true
                          },
                          "status": {
                            "description": "Status of the job.\r\nPossible values: 'Waiting', 'Running', 'Succeeded', 'Failed', 'Cancelled'.",
                            "type": "string",
                            "readOnly": true
                          },
                          "durationInSeconds": {
                            "format": "double",
                            "description": "Duration of the job in seconds.",
                            "type": "number",
                            "readOnly": true
                          },
                          "message": {
                            "description": "Status message to capture more details of the job.",
                            "type": "string",
                            "readOnly": true
                          },
                          "createdDateTime": {
                            "format": "date-time",
                            "description": "Job created at dateTime. Sample format: yyyy-MM-ddTHH:mm:ssZ.",
                            "type": "string",
                            "readOnly": true
                          },
                          "lastActionDateTime": {
                            "format": "date-time",
                            "description": "Job was last acted upon at dateTime. Sample format: yyyy-MM-ddTHH:mm:ssZ.",
                            "type": "string",
                            "readOnly": true
                          },
                          "startTime": {
                            "format": "date-time",
                            "description": "Job start time when available. Sample format: yyyy-MM-ddTHH:mm:ssZ.",
                            "type": "string",
                            "readOnly": true
                          },
                          "endTime": {
                            "format": "date-time",
                            "description": "Job end time when available. Sample format: yyyy-MM-ddTHH:mm:ssZ.",
                            "type": "string",
                            "readOnly": true
                          },
                          "name": {
                            "description": "Name to identify resource.",
                            "maxLength": 100,
                            "minLength": 0,
                            "type": "string"
                          },
                          "description": {
                            "description": "Textual description of the resource.",
                            "maxLength": 500,
                            "minLength": 0,
                            "type": "string"
                          },
                          "properties": {
                            "description": "A collection of key value pairs that belongs to the resource.\r\nEach pair must not have a key greater than 50 characters\r\nand must not have a value greater than 150 characters.\r\nNote: A maximum of 25 key value pairs can be provided for a resource and only string,\r\nnumeral and datetime (yyyy-MM-ddTHH:mm:ssZ) values are supported.",
                            "type": "object",
                            "additionalProperties": {
                              "type": "object"
                            },
                            "example": {
                              "key1": "value1",
                              "key2": 123.45
                            }
                          }
                        },
                        "additionalProperties": {}
                      }
                    },
                    "default": {
                      "description": "Error",
                      "schema": {
                        "description": "An error response from the Azure AgPlatform service.\r\n<see href=\"https://github.com/Microsoft/api-guidelines/blob/vNext/Guidelines.md#7102-error-condition-responses\">ErrorResponse reference document.</see>.",
                        "type": "object",
                        "properties": {
                          "error": {
                            "description": "An error from the Azure AgPlatform service.",
                            "type": "object",
                            "properties": {
                              "code": {
                                "description": "Server-defined set of error codes.",
                                "type": "string"
                              },
                              "message": {
                                "description": "Human-readable representation of the error.",
                                "type": "string"
                              },
                              "target": {
                                "description": "Target of the error.",
                                "type": "string"
                              },
                              "details": {
                                "description": "Array of details about specific errors that led to this reported error.",
                                "type": "array"
                              }
                            }
                          },
                          "traceId": {
                            "description": "Unique trace Id.",
                            "type": "string"
                          }
                        }
                      }
                    }
                  },
                  "x-ms-long-running-operation": true,
                  "x-ms-long-running-operation-options": {
                    "final-state-via": "location"
                  }
                }
              }
            },
            "basePath": "/",
            "definitions": {
              "WeatherDataIngestionJob": {
                "description": "Schema of weather ingestion job.",
                "required": [
                  "boundaryId",
                  "extensionApiInput",
                  "extensionApiName",
                  "extensionId",
                  "farmerId"
                ],
                "type": "object",
                "properties": {
                  "boundaryId": {
                    "description": "The id of the boundary object for which weather data is being fetched.",
                    "type": "string"
                  },
                  "farmerId": {
                    "description": "The id of the farmer object for which weather data is being fetched.",
                    "type": "string"
                  },
                  "extensionId": {
                    "description": "Id of the extension to be used for the providerInput. eg. DTN.ClearAg.",
                    "maxLength": 100,
                    "minLength": 2,
                    "pattern": "^[a-zA-Z]{3,50}[.][a-zA-Z]{3,100}$",
                    "type": "string"
                  },
                  "extensionApiName": {
                    "description": "Extension api name to which request is to be made.",
                    "maxLength": 100,
                    "minLength": 2,
                    "type": "string"
                  },
                  "extensionApiInput": {
                    "description": "Extension api input dictionary which would be used to feed request query/body/parameter information.",
                    "type": "object",
                    "additionalProperties": {
                      "type": "object"
                    }
                  },
                  "extensionDataProviderAppId": {
                    "description": "App id of the weather data provider.",
                    "maxLength": 200,
                    "minLength": 2,
                    "type": "string"
                  },
                  "extensionDataProviderApiKey": {
                    "description": "Api key of the weather data provider.",
                    "maxLength": 200,
                    "minLength": 2,
                    "type": "string"
                  },
                  "id": {
                    "description": "Unique job id.",
                    "type": "string",
                    "readOnly": true
                  },
                  "status": {
                    "description": "Status of the job.\r\nPossible values: 'Waiting', 'Running', 'Succeeded', 'Failed', 'Cancelled'.",
                    "type": "string",
                    "readOnly": true
                  },
                  "durationInSeconds": {
                    "format": "double",
                    "description": "Duration of the job in seconds.",
                    "type": "number",
                    "readOnly": true
                  },
                  "message": {
                    "description": "Status message to capture more details of the job.",
                    "type": "string",
                    "readOnly": true
                  },
                  "createdDateTime": {
                    "format": "date-time",
                    "description": "Job created at dateTime. Sample format: yyyy-MM-ddTHH:mm:ssZ.",
                    "type": "string",
                    "readOnly": true
                  },
                  "lastActionDateTime": {
                    "format": "date-time",
                    "description": "Job was last acted upon at dateTime. Sample format: yyyy-MM-ddTHH:mm:ssZ.",
                    "type": "string",
                    "readOnly": true
                  },
                  "startTime": {
                    "format": "date-time",
                    "description": "Job start time when available. Sample format: yyyy-MM-ddTHH:mm:ssZ.",
                    "type": "string",
                    "readOnly": true
                  },
                  "endTime": {
                    "format": "date-time",
                    "description": "Job end time when available. Sample format: yyyy-MM-ddTHH:mm:ssZ.",
                    "type": "string",
                    "readOnly": true
                  },
                  "name": {
                    "description": "Name to identify resource.",
                    "maxLength": 100,
                    "minLength": 0,
                    "type": "string"
                  },
                  "description": {
                    "description": "Textual description of the resource.",
                    "maxLength": 500,
                    "minLength": 0,
                    "type": "string"
                  },
                  "properties": {
                    "description": "A collection of key value pairs that belongs to the resource.\r\nEach pair must not have a key greater than 50 characters\r\nand must not have a value greater than 150 characters.\r\nNote: A maximum of 25 key value pairs can be provided for a resource and only string,\r\nnumeral and datetime (yyyy-MM-ddTHH:mm:ssZ) values are supported.",
                    "type": "object",
                    "additionalProperties": {
                      "type": "object"
                    },
                    "example": {
                      "key1": "value1",
                      "key2": 123.45
                    }
                  }
                },
                "additionalProperties": {}
              },
              "ErrorResponse": {
                "description": "An error response from the Azure AgPlatform service.\r\n<see href=\"https://github.com/Microsoft/api-guidelines/blob/vNext/Guidelines.md#7102-error-condition-responses\">ErrorResponse reference document.</see>.",
                "type": "object",
                "properties": {
                  "error": {
                    "description": "An error from the Azure AgPlatform service.",
                    "type": "object",
                    "properties": {
                      "code": {
                        "description": "Server-defined set of error codes.",
                        "type": "string"
                      },
                      "message": {
                        "description": "Human-readable representation of the error.",
                        "type": "string"
                      },
                      "target": {
                        "description": "Target of the error.",
                        "type": "string"
                      },
                      "details": {
                        "description": "Array of details about specific errors that led to this reported error.",
                        "type": "array"
                      }
                    }
                  },
                  "traceId": {
                    "description": "Unique trace Id.",
                    "type": "string"
                  }
                }
              },
              "InnerError": {
                "description": "Inner error containing list of errors.\r\n<see href=\"https://github.com/Microsoft/api-guidelines/blob/vNext/Guidelines.md#innererror--object\">InnerError reference document</see>.",
                "type": "object",
                "properties": {
                  "code": {
                    "description": "Specific error code than was provided by the\r\ncontaining error.",
                    "type": "string"
                  }
                },
                "additionalProperties": {
                  "type": "object"
                }
              },
              "Error": {
                "description": "An error from the Azure AgPlatform service.",
                "type": "object",
                "properties": {
                  "code": {
                    "description": "Server-defined set of error codes.",
                    "type": "string"
                  },
                  "message": {
                    "description": "Human-readable representation of the error.",
                    "type": "string"
                  },
                  "target": {
                    "description": "Target of the error.",
                    "type": "string"
                  },
                  "details": {
                    "description": "Array of details about specific errors that led to this reported error.",
                    "type": "array"
                  }
                }
              }
            },
            "externalDocs": {
              "description": "Find out more about Swagger",
              "url": "http://swagger.io"
            },
            "host": "addon.azurewebsites.net",
            "info": {
              "contact": {
                "email": "apiteam@swagger.io"
              },
              "description": "This is a sample server Petstore server. You can find out more about Swagger at [http://swagger.io](http://swagger.io) or on [irc.freenode.net, #swagger](http://swagger.io/irc/). For this sample, you can use the api key `special-key` to test the authorization filters.",
              "license": {
                "name": "Apache 2.0",
                "url": "http://www.apache.org/licenses/LICENSE-2.0.html"
              },
              "termsOfService": "http://swagger.io/terms/",
              "title": "Swagger Petstore",
              "version": "1.0.6"
            },
            "schemes": [
              "https"
            ],
            "swagger": "2.0"
          }
        },
        "accessFBApplicationId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
        "accessFBApplicationName": "solution provider 1",
        "saaSApplicationId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
        "actionIds": [
          "actionId1"
        ],
        "roleId": "role1",
        "roleName": "roleName1"
      },
      "name": "bayerAgPowered.gdu"
    }
  ]
}

정의

Name Description
createdByType

리소스를 만든 ID의 형식입니다.

DataManagerForAgricultureSolution

DataManagerForAgriculture 솔루션 리소스입니다.

DataManagerForAgricultureSolutionListResponse

페이징된 응답에는 요청된 개체 목록과 다음 결과 집합을 가져오는 URL 링크가 포함됩니다.

DataManagerForAgricultureSolutionProperties

DataManagerForAgricultureSolution 속성입니다.

ErrorAdditionalInfo

리소스 관리 오류 추가 정보입니다.

ErrorDetail

오류 세부 정보입니다.

ErrorResponse

오류 응답

MarketplaceOfferDetails
systemData

리소스의 생성 및 마지막 수정과 관련된 메타데이터입니다.

createdByType

리소스를 만든 ID의 형식입니다.

Description
User
Application
ManagedIdentity
Key

DataManagerForAgricultureSolution

DataManagerForAgriculture 솔루션 리소스입니다.

Name 형식 Description
id

string (arm-id)

리소스에 대한 정규화된 리소스 ID입니다. 예: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"

name

string

리소스의 이름

properties

DataManagerForAgricultureSolutionProperties

DataManagerForAgricultureSolution 속성입니다.

systemData

systemData

리소스의 생성 및 마지막 수정과 관련된 메타데이터입니다.

type

string

리소스의 형식입니다. 예: "Microsoft.Compute/virtualMachines" 또는 "Microsoft.Storage/storageAccounts"

DataManagerForAgricultureSolutionListResponse

페이징된 응답에는 요청된 개체 목록과 다음 결과 집합을 가져오는 URL 링크가 포함됩니다.

Name 형식 Description
$skipToken

string

다음 페이지를 검색하는 데 사용되는 토큰입니다. null이면 추가 페이지가 없습니다.

nextLink

string

목록의 결과 다음 페이지에 대한 연속 링크(절대 URI)입니다.

value

DataManagerForAgricultureSolution[]

요청된 개체 목록입니다.

DataManagerForAgricultureSolutionProperties

DataManagerForAgricultureSolution 속성입니다.

Name 형식 Description
accessFBApplicationId

string (uuid)

파트너가 농업용 Data Manager 데이터에 액세스하는 데 사용할 다중 테넌트 애플리케이션의 애플리케이션 ID입니다.

accessFBApplicationName

string

파트너가 Data Manager For Agriculture Data에 액세스하는 데 사용할 다중 테넌트 애플리케이션의 애플리케이션 이름입니다.

actionIds

string[]

SaaS 다중 테넌트 애플리케이션이 관련 fb 데이터에 액세스하도록 하는 데 필요한 ActionId 목록입니다.

dataAccessScopes

string[]

파트너에게 솔루션 요청을 처리하는 데 필요한 Data Manager For Agriculture 데이터 액세스의 범위를 가져옵니다. 예: gdd의 경우 weatherScope 및 satelliteScope가 필요할 수 있습니다.

marketplaceOfferDetails

MarketplaceOfferDetails

openApiSpecsDictionary

파트너가 Data Manager for Agriculture에 노출한 모든 api 버전의 swagger를 캡처하는 api-version Swagger 문서 사전을 가져옵니다.

partnerId

string

솔루션 파트너 ID입니다.

partnerTenantId

string

솔루션 파트너 테넌트 ID입니다.

roleId

string

관련 fb 데이터에 액세스하기 위한 SaaS 다중 테넌트 애플리케이션의 역할 ID입니다.

roleName

string

관련 fb 데이터에 액세스하기 위한 SaaS 다중 테넌트 애플리케이션의 역할 이름입니다.

saaSApplicationId

string

SaaS 다중 테넌트 애플리케이션의 애플리케이션 ID입니다.

ErrorAdditionalInfo

리소스 관리 오류 추가 정보입니다.

Name 형식 Description
info

object

추가 정보입니다.

type

string

추가 정보 유형입니다.

ErrorDetail

오류 세부 정보입니다.

Name 형식 Description
additionalInfo

ErrorAdditionalInfo[]

오류 추가 정보입니다.

code

string

오류 코드입니다.

details

ErrorDetail[]

오류 세부 정보입니다.

message

string

오류 메시지입니다.

target

string

오류 대상입니다.

ErrorResponse

오류 응답

Name 형식 Description
error

ErrorDetail

오류 개체입니다.

MarketplaceOfferDetails

Name 형식 Description
publisherId

string

saasOfferId

string

systemData

리소스의 생성 및 마지막 수정과 관련된 메타데이터입니다.

Name 형식 Description
createdAt

string (date-time)

리소스 만들기의 타임스탬프(UTC)입니다.

createdBy

string

리소스를 만든 ID입니다.

createdByType

createdByType

리소스를 만든 ID의 형식입니다.

lastModifiedAt

string (date-time)

리소스 마지막 수정의 타임스탬프(UTC)

lastModifiedBy

string

리소스를 마지막으로 수정한 ID입니다.

lastModifiedByType

createdByType

리소스를 마지막으로 수정한 ID의 형식입니다.